Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1141651

Summary: Graphite-web 0.9.12 is incompatible with python-django 1.6
Product: [Fedora] Fedora Reporter: Piotr Popieluch <piotr1212>
Component: graphite-webAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: jonathansteffan
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: graphite-web-0.9.12-8.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-12-12 04:18:55 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
require python-django15 on f20 specfile patch
none
patch on wsgi file for use of django15 none

Description Piotr Popieluch 2014-09-15 06:41:22 UTC
Description of problem:
The graphite-web requires 'python-django >= 1.3' which installs python-django version 1.6 (On F20 at least). The current graphite-web version (0.9.12) does not support django < 1.5 


Version-Release number of selected component (if applicable):
0.9.12-5


How reproducible:
Install graphite-web on Fedora 20


Steps to Reproduce:
1. # dnf install graphite-web
2. open webpage
3.


Actual results:
Internal Server Error
/var/log/httpd/graphite-web-error.log: ImportError: No module named defaults


Expected results:
Graphite-web to open.


Additional info:

https://stackoverflow.com/questions/19962736/django-import-error-no-module-named-django-conf-urls-defaults


/var/log/httpd/graphite-web-error.log:

[Mon Sep 15 00:22:52.523542 2014] [:error] [pid 722] [client 127.0.0.1:36401] mod_wsgi (pid=722): Exception occurred processing WSGI script '/usr/share/graphite/graphite-web.wsgi'.
[Mon Sep 15 00:22:52.523584 2014] [:error] [pid 722] [client 127.0.0.1:36401] Traceback (most recent call last):
[Mon Sep 15 00:22:52.523607 2014] [:error] [pid 722] [client 127.0.0.1:36401]   File "/usr/lib/python2.7/site-packages/django/core/handlers/wsgi.py", line 206, in __call__
[Mon Sep 15 00:22:52.523719 2014] [:error] [pid 722] [client 127.0.0.1:36401]     response = self.get_response(request)
[Mon Sep 15 00:22:52.523732 2014] [:error] [pid 722] [client 127.0.0.1:36401]   File "/usr/lib/python2.7/site-packages/django/core/handlers/base.py", line 194, in get_response
[Mon Sep 15 00:22:52.523749 2014] [:error] [pid 722] [client 127.0.0.1:36401]     response = self.handle_uncaught_exception(request, resolver, sys.exc_info())
[Mon Sep 15 00:22:52.523756 2014] [:error] [pid 722] [client 127.0.0.1:36401]   File "/usr/lib/python2.7/site-packages/django/core/handlers/base.py", line 232, in handle_uncaught_exception
[Mon Sep 15 00:22:52.523767 2014] [:error] [pid 722] [client 127.0.0.1:36401]     if resolver.urlconf_module is None:
[Mon Sep 15 00:22:52.523773 2014] [:error] [pid 722] [client 127.0.0.1:36401]   File "/usr/lib/python2.7/site-packages/django/core/urlresolvers.py", line 360, in urlconf_module
[Mon Sep 15 00:22:52.523792 2014] [:error] [pid 722] [client 127.0.0.1:36401]     self._urlconf_module = import_module(self.urlconf_name)
[Mon Sep 15 00:22:52.523804 2014] [:error] [pid 722] [client 127.0.0.1:36401]   File "/usr/lib/python2.7/site-packages/django/utils/importlib.py", line 40, in import_module
[Mon Sep 15 00:22:52.523817 2014] [:error] [pid 722] [client 127.0.0.1:36401]     __import__(name)
[Mon Sep 15 00:22:52.523823 2014] [:error] [pid 722] [client 127.0.0.1:36401]   File "/usr/lib/python2.7/site-packages/graphite/urls.py", line 15, in <module>
[Mon Sep 15 00:22:52.523833 2014] [:error] [pid 722] [client 127.0.0.1:36401]     from django.conf.urls.defaults import *
[Mon Sep 15 00:22:52.523849 2014] [:error] [pid 722] [client 127.0.0.1:36401] ImportError: No module named defaults

Comment 1 Piotr Popieluch 2014-09-15 08:49:40 UTC
Created attachment 937484 [details]
require python-django15 on f20 specfile patch

Comment 2 Piotr Popieluch 2014-09-15 08:51:19 UTC
Created attachment 937485 [details]
patch on wsgi file for use of django15

Comment 3 Piotr Popieluch 2014-09-15 09:03:34 UTC
I've attached a patch for the specfile and a patch for the wsgi file to get graphite-web working on f20 with django 1.5

Comment 4 Jonathan Steffan 2014-09-28 22:34:11 UTC
Thanks, I will review and merge in these changes.

Comment 5 Piotr Popieluch 2014-11-05 20:28:48 UTC
any updates on this?

Comment 6 Jamie Nguyen 2014-11-05 20:31:09 UTC
Yes, I'm working on a large packaging update to the graphite packages. This bug is definitely on my list of things the update should fix. Hopefully will push builds to rawhide and updates-testing by next week.

Comment 7 Fedora Update System 2014-11-14 19:13:53 UTC
graphite-web-0.9.12-8.fc21,python-carbon-0.9.12-6.fc21,python-whisper-0.9.12-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-8.fc21,python-carbon-0.9.12-6.fc21,python-whisper-0.9.12-4.fc21

Comment 8 Fedora Update System 2014-11-14 19:16:22 UTC
graphite-web-0.9.12-8.fc20,python-carbon-0.9.12-6.fc20,python-whisper-0.9.12-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-8.fc20,python-carbon-0.9.12-6.fc20,python-whisper-0.9.12-4.fc20

Comment 9 Fedora Update System 2014-11-15 09:06:44 UTC
Package graphite-web-0.9.12-8.fc20, python-carbon-0.9.12-6.fc20, python-whisper-0.9.12-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing graphite-web-0.9.12-8.fc20 python-carbon-0.9.12-6.fc20 python-whisper-0.9.12-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15082/graphite-web-0.9.12-8.fc20,python-carbon-0.9.12-6.fc20,python-whisper-0.9.12-4.fc20
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-12-12 04:18:55 UTC
graphite-web-0.9.12-8.fc21, python-carbon-0.9.12-6.fc21, python-whisper-0.9.12-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-12-12 04:20:01 UTC
graphite-web-0.9.12-8.fc20, python-carbon-0.9.12-6.fc20, python-whisper-0.9.12-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.